> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 고정된 리스트 조회

> 사용자의 고정된 리스트를 가져옵니다.

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

이 가이드는 사용자의 고정된 리스트를 조회하는 방법을 설명합니다.

<Note>
  **필수 요건**

  시작하기 전에 다음이 필요합니다.

  * 승인이 완료된 App을 보유한 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 사용자 액세스 토큰(OAuth 1.0a 또는 OAuth 2.0 PKCE)
</Note>

***

<div id="get-pinned-lists">
  ## 고정된 리스트 가져오기
</div>

<Steps>
  <Step title="내 사용자 ID 가져오기">
    인증된 사용자 ID가 필요합니다. [user lookup endpoint](/ko/x-api/users/lookup/introduction)를 사용하거나 액세스 토큰에서 확인할 수 있습니다(숫자 부분이 사용자 ID입니다).
  </Step>

  <Step title="고정된 리스트 요청 보내기">
    <CodeGroup dropdown>
      ```bash cURL theme={null}
      curl "https://api.x.com/2/users/2244994945/pinned_lists?\
      list.fields=follower_count,member_count,owner_id&\
      expansions=owner_id&\
      user.fields=created_at,username" \
        -H "Authorization: Bearer $USER_ACCESS_TOKEN"
      ```

      ```python Python SDK theme={null}
      from xdk import Client

      client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

      # 고정된 리스트 가져오기
      response = client.lists.get_pinned(
          "2244994945",
          list_fields=["follower_count", "member_count", "owner_id"],
          expansions=["owner_id"],
          user_fields=["created_at", "username"]
      )

      for lst in response.data:
          print(f"{lst.name} - {lst.follower_count} followers")
      ```

      ```javascript JavaScript SDK theme={null}
      import { Client } from "@xdevplatform/xdk";

      const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

      // 고정된 리스트 가져오기
      const response = await client.lists.getPinned("2244994945", {
        listFields: ["follower_count", "member_count", "owner_id"],
        expansions: ["owner_id"],
        userFields: ["created_at", "username"],
      });

      response.data?.forEach((lst) => {
        console.log(`${lst.name} - ${lst.follower_count} followers`);
      });
      ```
    </CodeGroup>
  </Step>

  <Step title="응답 확인">
    ```json theme={null}
    {
      "data": [
        {
          "id": "1454155907651158017",
          "name": "Tech News",
          "follower_count": 150,
          "member_count": 25,
          "owner_id": "2244994945"
        }
      ],
      "includes": {
        "users": [
          {
            "id": "2244994945",
            "username": "XDevelopers",
            "name": "X Developers",
            "created_at": "2013-12-14T04:35:55.000Z"
          }
        ]
      },
      "meta": {
        "result_count": 1
      }
    }
    ```
  </Step>
</Steps>

***

<div id="available-list-fields">
  ## 사용 가능한 리스트 필드
</div>

| 필드               | 설명            |
| :--------------- | :------------ |
| `description`    | 리스트 설명        |
| `owner_id`       | 소유자의 사용자 ID   |
| `private`        | 리스트가 비공개인지 여부 |
| `member_count`   | 멤버 수          |
| `follower_count` | 팔로워 수         |
| `created_at`     | 리스트 생성 일시     |

***

<div id="next-steps">
  ## 다음 단계
</div>

<CardGroup cols={2}>
  <Card title="고정된 리스트 관리" icon="thumbtack" href="/ko/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    리스트 고정/해제
  </Card>

  <Card title="리스트 조회" icon="list" href="/ko/x-api/lists/list-lookup/quickstart">
    리스트 세부 정보 보기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/get-users-pinned-lists">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
